import './assets/main.less';

import { useConfig } from '@/config';
import { createPinia } from 'pinia';
import TDesign from 'tdesign-vue-next';
import 'tdesign-vue-next/es/style/index.css';
import { createApp } from 'vue';
import App from './App.vue';
import icon from './icon/index.js';
import router from "./router/guard.js";



const app = createApp(App)

app.use(createPinia())
app.use(router)
app.use(TDesign)

useConfig()
for (const key in icon) {
  // console.log(key, icon[key]);
  app.component('icon-'+key, icon[key]);
}

app.mount('#app')
